# logdna – Sends playbook logs to LogDNA

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Status

## Synopsis

- This callback will report logs from playbook actions, tasks, and events to LogDNA (https://app.logdna.com)

## Requirements

The below requirements are needed on the local master node that executes this callback.

- LogDNA Python Library (https://github.com/logdna/python)

- whitelisting in configuration

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
conf_hostname string |  | ini entries: [callback_logdna] conf_hostname = VALUE env:LOGDNA_HOSTNAME | Alternative Host Name; the current host name by default
conf_key string / required |  | ini entries: [callback_logdna] conf_key = VALUE env:LOGDNA_INGESTION_KEY | LogDNA Ingestion Key
conf_tags string | Default: "ansible" | ini entries: [callback_logdna] conf_tags = ansible env:LOGDNA_TAGS | Tags
plugin_ignore_errors boolean | Default: "no" | ini entries: [callback_logdna] plugin_ignore_errors = no env:ANSIBLE_IGNORE_ERRORS | Whether to ignore errors on failing or not

## Status

- This callback is not guaranteed to have a backwards compatible interface. [preview]

- This callback is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.